Package org.eclipse.m2m.atl.emftvm.impl

## Class CodeBlockInstructionImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.emftvm.impl.InstructionImpl
        - - org.eclipse.m2m.atl.emftvm.impl.CodeBlockInstructionImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `CodeBlockInstruction`, `Instruction`

Direct Known Subclasses:
  `AndImpl`, `GetcbImpl`, `ImpliesImpl`, `InvokeCbImpl`, `OrImpl`

    public abstract class CodeBlockInstructionImpl
    extends InstructionImpl
    implements CodeBlockInstruction

An implementation of the model object 'Code Block Instruction'.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected static int` `CB_INDEX_EDEFAULT` The default value of the '`Cb Index`' attribute.
`protected int` `cbIndex` The cached value of the '`Cb Index`' attribute.
`protected CodeBlock` `codeBlock` The cached value of the '`Code Block`' reference.

### Fields inherited from class org.eclipse.m2m.atl.emftvm.impl.InstructionImpl

`lineNumber, opcode, OPCODE_EDEFAULT, STACK_CONSUMPTION_EDEFAULT, STACK_LEVEL_EDEFAULT, STACK_PRODUCTION_EDEFAULT, stackConsumption, stackLevel, stackLevelSet, stackProduction`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `CodeBlockInstructionImpl()` Creates a new `CodeBlockInstructionImpl`.

### Method Summary

All Methods Instance Methods Concrete Methods
`CodeBlock` `basicGetCodeBlock()`
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()` Returns the `EClass` that correspond to this metaclass.
`void` `eUnset​(int featureID)`
`int` `getCbIndex()` Returns the value of the 'Cb Index' attribute.
`CodeBlock` `getCodeBlock()` Returns the value of the 'Code Block' reference.
`void` `setCbIndex​(int newCbIndex)` Sets the value of the '`Cb Index`' attribute.
`void` `setCodeBlock​(CodeBlock newCodeBlock)` Sets the value of the '`Code Block`' reference.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.InstructionImpl

`basicGetLineNumber, basicSetLineNumber, basicSetOwningBlock, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, eNotify, getLineNumber, getOpcode, getOwningBlock, getStackConsumption, getStackLevel, getStackProduction, setLineNumber, setOwningBlock`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Instruction

`getLineNumber, getOpcode, getOwningBlock, getStackConsumption, getStackLevel, getStackProduction, setLineNumber, setOwningBlock`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### CB_INDEX_EDEFAULT

    protected static final int CB_INDEX_EDEFAULT

The default value of the '`Cb Index`' attribute.

See Also:
  `getCbIndex()`, Constant Field Values

#### cbIndex

    protected int cbIndex

The cached value of the '`Cb Index`' attribute.

See Also:
  `getCbIndex()`

#### codeBlock

    protected CodeBlock codeBlock

The cached value of the '`Code Block`' reference.

See Also:
  `getCodeBlock()`

### Constructor Detail

#### CodeBlockInstructionImpl

    protected CodeBlockInstructionImpl()

Creates a new `CodeBlockInstructionImpl`.

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Returns the `EClass` that correspond to this metaclass.

Overrides:
  `eStaticClass` in class `InstructionImpl`
Returns:
  the `EClass` that correspond to this metaclass.

#### getCodeBlock

    public CodeBlock getCodeBlock()

Returns the value of the 'Code Block' reference.

Represents the '`Nested`' `CodeBlock` to which this instruction refers.

Specified by:
  `getCodeBlock` in interface `CodeBlockInstruction`
Returns:
  the value of the 'Code Block' reference.
See Also:
  `CodeBlockInstruction.setCodeBlock(CodeBlock)`, `EmftvmPackage.getCodeBlockInstruction_CodeBlock()`

#### basicGetCodeBlock

    public CodeBlock basicGetCodeBlock()

See Also:
  `getCodeBlock()`

#### setCodeBlock

    public void setCodeBlock​(CodeBlock newCodeBlock)

Sets the value of the '`Code Block`' reference.

Represents the '`Nested`' `CodeBlock` to which this instruction refers.

Specified by:
  `setCodeBlock` in interface `CodeBlockInstruction`
Parameters:
  `newCodeBlock` - the new value of the 'Code Block' reference.
See Also:
  `CodeBlockInstruction.getCodeBlock()`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `InstructionImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `InstructionImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `InstructionImpl`

#### getCbIndex

    public int getCbIndex()

Returns the value of the 'Cb Index' attribute. The default value is `"-1"`.

Represents the index of the '`Nested`' `CodeBlock` in the parent code block's list of nested code blocks.

Specified by:
  `getCbIndex` in interface `CodeBlockInstruction`
Returns:
  the value of the 'Cb Index' attribute.
See Also:
  `CodeBlockInstruction.setCbIndex(int)`, `EmftvmPackage.getCodeBlockInstruction_CbIndex()`

#### setCbIndex

    public void setCbIndex​(int newCbIndex)

Sets the value of the '`Cb Index`' attribute.

Represents the index of the '`Nested`' `CodeBlock` in the parent code block's list of nested code blocks.

Specified by:
  `setCbIndex` in interface `CodeBlockInstruction`
Parameters:
  `newCbIndex` - the new value of the 'Cb Index' attribute.
See Also:
  `CodeBlockInstruction.getCbIndex()`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `InstructionImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `InstructionImpl`